Subject: Re: [bug#64957] [PATCH v2] gnu: Add fontmake.

From: Hilton Chain <[email-masked]>
Date: Mon, 31 Jul 2023 15:25:38 +0800

On Mon, 31 Jul 2023 06:22:17 +0800,
Sergio Pastor Pérez wrote:
>
> * gnu/packages/fontutils.scm (fontmake): New variable.
> ---
[...]
> Regarding your concern for the version bump, its currently not possible to
> update to [email-masked]', this is blocked by the versions of the dependencies;
> for example, the latest versions we have available on the official guix channel
> of `python-glyphslib' is 6.0.7 and [email-masked]' requires
> [email-masked]'.

Ah, I see.  A newer python-ufolib2 is also required, which requires a
newer python-attrs.  I'll look into updating python-attrs.

I'm not sure if an old version will be accepted, so you may have to
wait a bit. ;)

> +    (inputs (list python-attrs
> +                  python-fontmath
> +                  python-fonttools-minimal
> +                  python-glyphslib
> +                  python-ufo2ft
> +                  python-ufolib2))

Most of the dependencies here have been propagated by python-glyphslib
and its dependencies.  It's sufficient to keeping only
`python-fontmath' and `python-glyphslib'.

But you can also keep them all if you prefer, in which case I'd
suggest replacing `python-fonttools-minimal' with `python-fonttools',
since the latter has been propagated by python-glyphslib.

> +    (synopsis
> +     "Compile fonts from sources (UFO, Glyphs) to binary (OpenType, TrueType)")
> +    (description
> +     "Fontmake compiles fonts from various sources (.glyphs, .ufo,designspace)
> +into binaries (.otf, .ttf).  You can use it to create static instances and
> +variable fonts.")

"@code{.glyphs}, @code{.ufo}, @code{designspace}" and so on.

How about changing "You can use it" to "It can be used" ?

> +    (license license:asl2.0)))
> +
>  (define-public psautohint
>    (package
>      (name "psautohint")
>
> base-commit: c173819c8e5235ce02d60b79bd88b10023a7c614
> prerequisite-patch-id: c56db9fa7fc4e07452dea53f2d450bd83abbbc1a
> prerequisite-patch-id: 3e6318d61f2efa01f4435152f2139eef8f72572c
> prerequisite-patch-id: 1b23c59bab92820a1e102137909922f4d71ed8f9
> prerequisite-patch-id: 78a291411f8d86beabbf6d49df0cc78702ad4e65
> prerequisite-patch-id: 579224b39cae7869ce11e2e8dba046b5eef606c7
> prerequisite-patch-id: f1f62fd5d83d603ca35c17071e615352e90753e3
> prerequisite-patch-id: 1843bca37f83e494be67c24e975727fb1fe1248c
> prerequisite-patch-id: 5cc0d6cd16ae2ab21c444ed9cabfeea5615e8cda
> prerequisite-patch-id: 92a3fab6e4174a4d4877fc5b426752df81e4df39
> prerequisite-patch-id: ebf3fd3a8bb02f7dc5cdf504f63d5028b29fe69e
> --
> 2.39.2

Overall LGTM, except for the version thing.

Thanks